Collections
List all collections
GET
/
v1
/
collections
List collections
curl --request GET \
--url https://api.ongoody.com/v1/collections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ongoody.com/v1/collections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ongoody.com/v1/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "9afab2f9-6411-4e7f-9f7d-ecf27e00491a",
"workspace_id": "633e3b64-1ab4-4439-b44a-8c3a069cfd76",
"title": "Expedite Web Enabled Infrastructures",
"is_published": false,
"published_price": null,
"product": null,
"published_version": null
},
{
"id": "7f50f2ba-e070-4e33-a107-3ddfe4c771dc",
"workspace_id": "633e3b64-1ab4-4439-b44a-8c3a069cfd76",
"title": "Office Favorites",
"is_published": true,
"published_price": null,
"product": null,
"published_version": {
"id": "3b6af2d7-74e3-4201-8dfc-88cfacbdde91",
"title": "Office Favorites",
"subtitle": "Curated treats for the whole team",
"multiple_select_mode": "disabled",
"multiple_select_count": null,
"multiple_select_price": null,
"international_shipping_tier": "standard",
"international_gift_cards_enabled": false,
"display_interface": "single_page",
"header_image": null
}
}
],
"list_meta": {
"total_count": 2
}
}Retrieve all collections in all workspaces you have access to. Automation API only.
To filter to only published collections, use querystring
?published=true.Authorizations
Your Goody API key.
Query Parameters
Page number for pagination (starts at 1)
Required range:
x >= 1Number of collections to return per page (maximum 100)
Required range:
1 <= x <= 100Return only published collections when true
⌘I
List collections
